#ifndef GRADIENTS565_H_
#define GRADIENTS565_H_
#include "stdlib.h"
#include "stdint.h"
#include "math.h"


uint16_t grad_red_yellow_green(uint16_t val, uint16_t val_max, uint16_t val_ntsc);				//grad 1
uint16_t grad_black_blue_green_red_white(uint16_t val, uint16_t val_max, uint16_t val_ntsc);	//grad 2
uint16_t grad_rainbow(uint16_t val, uint16_t val_max, uint16_t val_ntsc); 						//grad 3
uint16_t grad_white_gray_black(uint16_t val, uint16_t val_max); 								//grad 4
uint16_t grad_lava(uint16_t val, uint16_t val_max); 								            //grad 5 & 6
uint16_t grad_my_castom(uint16_t val, uint16_t val_max);
uint16_t grad_black_purple_red_yellow(uint16_t val, uint16_t val_max);							//grad 7
#endif /* GRADIENTS565_H_ */


/*

	  1.0

	,          RGB565
	       :
	val -        0  val_max
	val_max -   

	 :
	val_ntsc - -  /   
	 val_ntsc != 0,        ,
	     1    val,  ,       

	      

 */
